SoDiffuseColorElement(3)

NAME
SoDiffuseColorElement - The SoDiffuseColorElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoDiffuseColorElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
int32_t getNum (void) const
FIXME: write doc.
const SbColor & get (const int index) const
FIXME: write doc.
SbBool isPacked (void) const
SbBool hasPackedTransparency (void) const
const SbColor * getColorArrayPtr () const
const uint32_t * getPackedArrayPtr () const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int32_t numcolors, const SbColor *const colors)
FIXME: write doc.
static void set (SoState *const state, SoNode *const node, const int32_t numcolors, const uint32_t *const colors, const SbBool packedtransparency=FALSE)
FIXME: write doc.
static const SoDiffuseColorElement * getInstance (SoState *state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoDiffuseColorElement ()

  Additional Inherited Members

Detailed Description

The SoDiffuseColorElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoDiffuseColorElement::~SoDiffuseColorElement () [protected], [virtual]
Destructor.

Member Function Documentation

  static SoType SoDiffuseColorElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

This static method returns the class type.

  static int SoDiffuseColorElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

This static method returns the state stack index for the class.

  void * SoDiffuseColorElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoDiffuseColorElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoDiffuseColorElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoReplacedElement.

  const SbColor * SoDiffuseColorElement::getColorArrayPtr (void) const
Returns the color array. Don't use this unless SoDiffuseColorElement::isPacked() returns FALSE.

This method is not part of the original SGI Open Inventor v2.1 API.

Since
    Coin 1.0

  const uint32_t * SoDiffuseColorElement::getPackedArrayPtr (void) const
Returns the packed color array. Don't use this unless SoDiffuseColorElement::isPacked() returns TRUE.

This method is not part of the original SGI Open Inventor v2.1 API.

Since
    Coin 1.0

Author

Generated automatically by Doxygen for Coin from the source code.